Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jdbc.sampler
Class JDBCSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.AbstractSampler
              org.apache.jmeter.protocol.jdbc.sampler.JDBCSampler

All Implemented Interfaces:
  Cloneable, Sampler, Serializable, TestBean, TestElement

public class JDBCSampler
extends AbstractSampler
implements TestBean

A sampler which understands JDBC database requests.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`JDBCSampler()` Creates a JDBCSampler.

Method Summary
`static void` | `close(Connection c)`
`static void` | `close(ResultSet rs)`
`static void` | `close(Statement s)`
`String` | `getDataSource()`
`String` | `getQuery()`
`String` | `getQueryArguments()`
`String` | `getQueryArgumentsTypes()`
`String` | `getQueryType()`
`String` | `getVariableNames()`
`SampleResult` | `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.
`void` | `setDataSource(String dataSource)`
`void` | `setQuery(String query)`
`void` | `setQueryArguments(String queryArguments)`
`void` | `setQueryArgumentsTypes(String queryArgumentsType)`
`void` | `setQueryType(String queryType)`
`void` | `setVariableNames(String variableNames)`
`String` | `toString()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`addTestElement, canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### JDBCSampler

    public JDBCSampler()

  Creates a JDBCSampler.

Method Detail

### sample

    public SampleResult sample(Entry e)

  Description copied from interface: `Sampler`
  Obtains statistics about the given Entry, and packages the information into a SampleResult.

  Specified by:
    `sample` in interface `Sampler`

### close

    public static void close(Connection c)

### close

    public static void close(Statement s)

### close

    public static void close(ResultSet rs)

### getQuery

    public String getQuery()

### toString

    public String toString()

### setQuery

    public void setQuery(String query)

  Parameters:
    `query` - The query to set.

### getDataSource

    public String getDataSource()

  Returns:
    Returns the dataSource.

### setDataSource

    public void setDataSource(String dataSource)

  Parameters:
    `dataSource` - The dataSource to set.

### getQueryType

    public String getQueryType()

  Returns:
    Returns the queryType.

### setQueryType

    public void setQueryType(String queryType)

  Parameters:
    `queryType` - The queryType to set.

### getQueryArguments

    public String getQueryArguments()

### setQueryArguments

    public void setQueryArguments(String queryArguments)

### getQueryArgumentsTypes

    public String getQueryArgumentsTypes()

### setQueryArgumentsTypes

    public void setQueryArgumentsTypes(String queryArgumentsType)

### getVariableNames

    public String getVariableNames()

  Returns:
    the variableNames

### setVariableNames

    public void setVariableNames(String variableNames)

  Parameters:
    `variableNames` - the variableNames to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.